<project name="JBossJIRA" basedir=".">

    <property name="deploy.dir" value="../../thirdParty/jboss-5.0.1.GA/server/default/deploy" />
    <property name="exploded.ear" value="${deploy.dir}/JBossJIRA.ear" />
    <property name="exploded.jar" value="JBossJIRA.jar" />

    <target name="deploy">
        <mkdir dir="${exploded.ear}" />
        <sync todir="${exploded.ear}" verbose="true" overwrite="false">
            <fileset dir="ear" />
            <preserveintarget>
                <include name="${exploded.jar}/**" />
            </preserveintarget>
        </sync>
        <sync todir="${exploded.ear}/${exploded.jar}" verbose="true" overwrite="false">
            <fileset dir="bin" />
        </sync>
    </target>

    <target name="undeploy">
        <delete dir="${exploded.ear}" />
    </target>

    <target name="redeploy">
        <touch>
            <fileset dir="${exploded.ear}" />
        </touch>
    </target>
</project>
